agent_version=staging as a query parameter to bulk-log responses against the staging version instead of the published agent's.curl --location --globoff 'https:///api/v2/agents//responses/log/bulk_create' \
--header 'Ocp-Apim-Subscription-Key: ' \
--header 'Authorization: Bearer ' \
--header 'Content-Type: application/json' \
--data '{
"share_token": "xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
"thread_id": 99,
"attachment_corpus_id": null
}'{
"success": true,
"message": "Successfully created bulk response logs",
"data": {
"created_count": 3,
"failed_count": 0,
"logs": [
{
"id": 501,
"chat_thread_id": 99,
"question": "What is AI?",
"created_at": "2026-01-06T12:30:00Z"
}
],
"errors": [],
"corpus": {
"corpus_id": 555,
"documents_copied": 2,
"documents_failed": 0,
"cloned_chunks": 40
},
"artifacts": {
"copied": 1,
"failed": []
}
}
}